<?xml version="1.0" encoding="utf-8"?>
<odoo>
  <data noupdate="1">
    <record id="payment_mode_inbound_sepa" model="account.payment.mode">
      <field name="name">SEPA Direct Debit of customers</field>
      <field name="company_id" ref="base.main_company"/>
      <field name="bank_account_link">variable</field>
      <field name="variable_journal_ids" eval="[(5, 0, 0),
        (4, ref('somconnexio.caixa_guissona_journal'),0)]"/>
      <field name="payment_method_id" ref="account_banking_sepa_direct_debit.sepa_direct_debit"/>
      <field name="default_journal_ids" search="[('type', 'in', ('sale', 'sale_refund'))]"/>
      <field name="payment_order_ok" eval="True"/>
    </record>
    <record id="payment_mode_outbound_sepa" model="account.payment.mode">
      <field name="name">SEPA Credit Transfer to suppliers</field>
      <field name="company_id" ref="base.main_company"/>
      <field name="bank_account_link">variable</field>
      <field name="variable_journal_ids" eval="[(5, 0, 0),
        (4, ref('somconnexio.caixa_guissona_journal'),0)]"/>
      <field name="payment_method_id" ref="account_banking_sepa_credit_transfer.sepa_credit_transfer"/>
      <field name="default_journal_ids" search="[('type', 'in', ('purchase', 'purchase_refund'))]"/>
      <field name="payment_order_ok" eval="True"/>
    </record>
    <record id="payment_mode_inbound_transfer" model="account.payment.mode">
      <field name="name">Manual Transfer of customers</field>
      <field name="company_id" ref="base.main_company"/>
      <field name="bank_account_link">variable</field>
      <field name="variable_journal_ids" eval="[(5, 0, 0),
        (4, ref('somconnexio.caixa_guissona_journal'),0)]"/>
      <field name="payment_method_id" ref="account.account_payment_method_manual_in"/>
      <field name="default_journal_ids" search="[('type', 'in', ('sale', 'sale_refund'))]"/>
      <field name="payment_order_ok" eval="False"/>
    </record>
    <record id="payment_mode_outbound_transfer" model="account.payment.mode">
      <field name="name">Manual Transfer to suppliers</field>
      <field name="company_id" ref="base.main_company"/>
      <field name="bank_account_link">variable</field>
      <field name="variable_journal_ids" eval="[(5, 0, 0),
        (4, ref('somconnexio.caixa_guissona_journal'),0)]"/>
      <field name="payment_method_id" ref="account.account_payment_method_manual_out"/>
      <field name="default_journal_ids" search="[('type', 'in', ('purchase', 'purchase_refund'))]"/>
      <field name="payment_order_ok" eval="False"/>
    </record>
  </data>
</odoo>

